# $Revision: 1.28 $, $Date: 2004/12/22 12:09:18 $
Summary:	Shared MIME-info specification
Summary(pl):	Wsplna specyfikacja MIME-info
Name:		shared-mime-info
Version:	0.15
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://freedesktop.org/Software/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	51793b041edc68717c3f87e26a4bc087
Patch0:		%{name}-dtd_path.patch
Patch1:		%{name}-locale-names.patch
Patch2:		%{name}-dicom.patch
Patch3:		%{name}-polish.patch
Patch4:		%{name}-word.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-utils
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	pkgconfig
URL:		http://www.freedesktop.org/software/shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types
of files. Frequently, it is necessary to work out the correct MIME
type for a file. This is generally done by examining the file's name
or contents, and looking up the correct MIME type in a database.

For interoperability, it is useful for different programs to use the
same database so that different programs agree on the type of a file,
and new rules for determining the type apply to all programs.

This specification attempts to unify the type-guessing systems
currently in use by GNOME, KDE and ROX. Only the name-to-type and
contents-to-type mappings are covered by this spec; other MIME type
information, such as the default handler for a particular type, or the
icon to use to display it in a file manager, are not covered since
these are a matter of style.

In addition, freedesktop.org provides a shared database in this format
to avoid inconsistencies between desktops. This database has been
created by converting the existing KDE and GNOME databases to the new
format and merging them together.

%description -l pl
To jest wsplna baza informacji MIME freedesktop.org.

Wiele programw oraz pulpitw uywa systemu MIME do reprezentacji
typw plikw. Czsto, zachodzi potrzeba opracowania prawidowego typu
MIME dla pliku. Przewanie jest to robione poprzez sprawdzenie nazwy
lub zawartoci pliku i znalezienie odpowiedniego typu MIME w bazie.

W ramach wsppracy, uytecznym jest uywanie tej samej bazy przez
rne programy. Dziki temu pozycja dodana do bazy realizowana jest we
wszystkich programach.

Ta specyfikacja ma za zadanie zunifikowanie systemw odpytujcych o
typ uywanych przez GNOME, KDE i ROX. W tym pakiecie zawarte s
jedynie mapowania nazwa-typ i zawarto-typ. Inne informacje MIME,
takie jak domylna procedura obsugi dla poszczeglnych typw, czy
ikona uywana podczas wywietlania w zarzdcy plikw, nie s zawarte,
gdy zale od gustu.

Dlatego freedesktop.org udostpnia wsplne bazy w tym formacie aby
unikn niekonsekwencji midzy pulpitami. Ta baza zostaa stworzona
poprzez konwersj istniejcych baz KDE i GNOME do nowego formatu i
poczenie ich.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0

mv po/{no,nb}.po

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

db2html shared-mime-info-spec.xml

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%post
umask 022
%{_bindir}/update-mime-database %{_datadir}/mime

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc shared-mime-info-spec README NEWS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%ghost %{_datadir}/mime/globs
%ghost %{_datadir}/mime/magic
%ghost %{_datadir}/mime/XMLnamespaces
%ghost %{_datadir}/mime/application
%ghost %{_datadir}/mime/audio
%ghost %{_datadir}/mime/image
%ghost %{_datadir}/mime/inode
%ghost %{_datadir}/mime/message
%ghost %{_datadir}/mime/model
%ghost %{_datadir}/mime/multipart
%ghost %{_datadir}/mime/text
%ghost %{_datadir}/mime/video
%dir %{_datadir}/mime
%dir %{_datadir}/mime/packages
%{_datadir}/mime/packages/*


%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: shared-mime-info.spec,v $
Revision 1.28  2004/12/22 12:09:18  krzak
- word.patch, fix application/msword type

Revision 1.27  2004/12/22 10:23:26  krzak
- rel. 3
- most of dirs and files is generated in %post based on %{_datadir}/mime/packages/*
  so I %ghost'ed them

Revision 1.26  2004/09/08 19:59:29  aflinta
- added polish translation by GNOME PL Team (it's me :)), release 2

Revision 1.25  2004/09/03 08:15:20  deejay1
- updated to 0.15

Revision 1.24  2004/08/31 12:12:31  wiget
- added dicom.patch (application/dicom support)
- release 3

Revision 1.23  2004/04/07 19:22:56  ankry
- removed unneeded caps

Revision 1.22  2004/04/07 16:59:34  wrobell
- umask 022 before mime database update in post
- rel. 2

Revision 1.21  2004/03/26 14:06:30  grzegol
- updated to 0.14
- removed outdated RIFF patch
- added locale-names patch (rename locale no -> nb)

Revision 1.20  2004/02/12 13:51:15  grzegol
- added RIFF patch (fixes RIFF magic)
- rel. 2

Revision 1.19  2004/01/31 01:29:57  grzegol
- updated to 0.13
- removed outdated am_fix patch
- updated %%files

Revision 1.18  2003/12/06 02:44:55  adgor
- Removed fix-mime-info-path.patch. Please - do not force changing mime dir
  to mime-info (which is native gnome dir same as kde mimelnk dir).
  It causes more problems than profits
- Fixed URL
- Release 2

Revision 1.17  2003/08/31 23:49:22  wolf
- 0.12

Revision 1.16  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.15  2003/07/30 21:58:44  grzegol
- added dtd_path patch (fixes doc building)
- removed _without_building_doc bcond
- more BR
- rel. 2

Revision 1.14  2003/05/28 13:01:50  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:26:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/18 08:55:55  kloczek
- adapterized and cleanups.

Revision 1.11  2003/05/18 08:41:38  wolf
- 0.11

Revision 1.10  2003/05/07 09:30:06  wolf
- BR: glib2-devel

Revision 1.9  2003/05/07 09:28:06  wolf
- qwa

Revision 1.8  2003/05/07 09:27:27  wolf
- BR: pkgconfig

Revision 1.7  2003/03/05 15:49:54  grzegol
- updated to 0.10

Revision 1.6  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.5  2002/11/25 01:42:01  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.4  2002/10/08 13:12:58  qboosh
- BR: autoconf,automake

Revision 1.3  2002/07/30 13:49:13  grzegol
- updated to 0.9
- updated %%files (added NEWS to doc and manpage)
- generate html documentation from xml source
STBR

Revision 1.2  2002/07/25 21:58:45  grzegol
- updated to 0.8
- License is GPL
- packege isn't noarch
- added BR: libxml-devel
- updated %%files
- update mime databases in post and postun
STBR

Revision 1.1  2002/06/07 21:19:35  grzegol
- initial release
STBR
